Command reference
deployments app-release
Published builds of an app's UI
| Command | Summary |
|---|---|
deployments app-release list | List an app's releases, newest first |
deployments app-release promote | Serve a release to members; promote an earlier release to roll back |
deployments app-release list
List an app's releases, newest first.
deployments app-release list <app-id>- Calls
GET /v1/apps/{appId}/releases(SDKlistAppReleases). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
<appId> | positional | yes | App ID |
Also accepts the global flags.
deployments app-release promote
Serve a release to members; promote an earlier release to roll back.
deployments app-release promote <app-id> <release-id>- Calls
POST /v1/apps/{appId}/releases/{releaseId}/promote(SDKpromoteAppRelease). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<appId> | positional | yes | App ID | |
<releaseId> | positional | yes | Release ID |
Also accepts the global flags.